Skip to main content
GET
/
v1
/
products
/
external
/
{externalId}
Get product by external ID
curl --request GET \
  --url https://api.yuvexpay.com/v1/products/external/{externalId} \
  --header 'Authorization: Bearer <token>'
{
  "product": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "amount": 123,
    "externalId": "<string>",
    "isActive": true,
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

YuvexPay API key. Include as Authorization: Bearer ypk_<env>_<kid>_<secret> where <env> is test (sandbox) or live (production). Create and manage keys in the dashboard under Settings > API Keys.

Path Parameters

externalId
string
required

Your external product ID.

Maximum string length: 100

Response

Product found.

product
object